Get payment link for an invoice

Generate a unique link to pay a specific invoice. This link is necessary to complete the payment via external systems. The endpoint returns a unique ID used to call GET /api/billing/payment-link/{uuid}.

Billing & Payments Invoices

Context

Path Parameters

id integer · min: 1 required Example: 46625

Unique id identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.expiresAt string · Example: 2026-02-10T00:00:00.000Z
data.hasActiveLink boolean required · Example: true
data.lastViewed string · nullable · Example: 2026-02-10T00:00:00.000Z

Nullable: may be null when not applicable.

data.paymentUrl string · Example: https://cloud.hostup.se/billing/pay/0693795e-d8fc-4bfe-aca9-40baa593cf97
data.previousLinks array<object> · Example: []
data.uuid string · Example: 0693795e-d8fc-4bfe-aca9-40baa593cf97
data.viewCount integer · Example: 0
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/billing/invoice/{id}/payment-link
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/billing/invoice/46625/payment-link" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "hasActiveLink": true,
    "paymentUrl": "https://cloud.hostup.se/billing/pay/0693795e-d8fc-4bfe-aca9-40baa593cf97",
    "uuid": "0693795e-d8fc-4bfe-aca9-40baa593cf97",
    "expiresAt": "2026-02-10T00:00:00.000Z",
    "viewCount": 0,
    "lastViewed": null
  }
}